Page MenuHomePhabricator

Implement a (more liberal) usage aspect deduplicater (days: 3)
Closed, ResolvedPublic

Description

After T178079: Implement a (conservative) usage aspect deduplicater (days: 4) being done it's needed to implement a deduplicator that turn too many usecases of on aspect with modifier to the aspect without modifier. This is helpful in case the lua function is iterating over all languages or properties. For example:

  • C.P1, C.P2, C.P3, C.P4, C.P5, ... -> C

The threshold for C, D, and L aspects need to be determined before moving forward.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd entityUsageModifierLimits config for Wikibase
mediawiki/extensions/Wikibase : masterDo not re-instantiate UsageDeduplicator every time
mediawiki/extensions/Wikibase : masterTurn to a general aspect if too many modifiers have been used

Event Timeline

Ladsgroup triaged this task as Medium priority.Jan 25 2018, 12:55 PM
Ladsgroup created this task.

Change 406181 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Turn to a general aspect if too many modifiers have been used

https://gerrit.wikimedia.org/r/406181

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 25 2018, 5:55 PM

I think we need different limits for different aspects. 10 may be sensible for statements, but it's way too low for languages.

WMDE-leszek renamed this task from Implement a (more liberal) usage aspect deduplicater to Implement a (more liberal) usage aspect deduplicater (days: 1).Jan 26 2018, 11:40 AM
eranroz added a comment.EditedJan 26 2018, 1:02 PM

I think we need different limits for different aspects. 10 may be sensible for statements, but it's way too low for languages.

Was looking on cawiki_p to see it in the real world:


Based on cawiki_p.wbc_entity_usage for claims with 3 < C threshold <=25 - we cover ~80% of the usages (90% of the C rows are due to using more than 25 claims from same entity if I did it correctly)
I suggest to revisit T151717 after deploying it.

WMDE-leszek renamed this task from Implement a (more liberal) usage aspect deduplicater (days: 1) to Implement a (more liberal) usage aspect deduplicater (days: 2).Jan 30 2018, 9:45 AM

Change 406809 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Do not re-instantiate UsageDeduplicator every time

https://gerrit.wikimedia.org/r/406809

WMDE-leszek renamed this task from Implement a (more liberal) usage aspect deduplicater (days: 2) to Implement a (more liberal) usage aspect deduplicater (days: 3).Jan 30 2018, 2:01 PM
WMDE-leszek moved this task from Backlog to Review on the Wikidata-Sprint-2018-01-31 board.

Change 406181 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Turn to a general aspect if too many modifiers have been used

https://gerrit.wikimedia.org/r/406181

Change 406809 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Do not re-instantiate UsageDeduplicator every time

https://gerrit.wikimedia.org/r/406809

Lydia_Pintscher closed this task as Resolved.Feb 1 2018, 10:59 AM

Change 408528 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Add entityUsageModifierLimits config for Wikibase

https://gerrit.wikimedia.org/r/408528

Change 408528 merged by jenkins-bot:
[operations/mediawiki-config@master] Add entityUsageModifierLimits config for Wikibase

https://gerrit.wikimedia.org/r/408528

Mentioned in SAL (#wikimedia-operations) [2018-02-06T14:10:10Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase.php: [[gerrit:408528|Add entityUsageModifierLimits config for Wikibase (T185693)]] (duration: 00m 55s)